zenilib: Zeni::Vertex2f_Color Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | List of all members
Zeni::Vertex2f_Color Class Reference
Zenilib

An Abstraction of a Vertex in 2-space, colored. More...

`#include <Vertex2f.h>`

Inherits Zeni::Renderable, and Zeni::Vertex2f.

## Public Member Functions

| Vertex2f_Color ()
| Initialize the Vertex2f_Color. More...
| Vertex2f_Color (const Point2f &position, const Color &color)
| Vertex2f_Color (const Point2f &position, const Uint32 &argb)
const Uint32 & | get_Color () const
| Get the current Color. More...
Vertex2f_Color * | interpolate_to (const float &rhs_part, const Vertex2f_Color &rhs) const
| Get a Vertex2f_Color between two vertices; rhs must be a Vertex2f_Color. More...
virtual bool | is_3d () const
| Tell the rendering system if we're using 3D coordinates. More...
virtual void | render_to (Video_GL_Fixed &screen) const
| Overridden for OpenGL rendering. More...
virtual void | render_to (Video_GL_Shader &screen) const
| Overridden for OpenGL rendering. More...
virtual void | render_to (Video_DX9 &screen) const
| Overridden for Direct3D9 rendering. More...
void | set_Color (const Color &color)
| Set the current Color. More...
void | set_Color (const Uint32 &argb)
| Set the current Color. More...
virtual void | subrender_to (Video_GL_Fixed &screen) const
virtual void | subrender_to (Video_GL_Shader &screen) const
Public Member Functions inherited from Zeni::Renderable
| Renderable ()
| Renderable (const Renderable &rhs)
virtual | ~Renderable ()
void | fax_Material (const Material *const &material)
| Set the Material, giving the Renderable a copy. More...
const Material * | get_Material () const
| Get the Material. More...
void | give_Material (Material *const &material)
| Set the Material, giving the Renderable ownership. More...
void | lend_Material (const Material *const &material)
| Set the Material, giving the Renderable no ownership. More...
Renderable & | operator= (const Renderable &rhs)
virtual void | post_render () const
virtual void | pre_render () const
Public Member Functions inherited from Zeni::Vertex2f
virtual | ~Vertex2f ()
void * | get_address () const
| A bit of a hack, necessary to memcpy data into Vertex_Buffers. More...
unsigned long | get_offset () const
| A bit of a hack, necessary to memcpy data into Vertex_Buffers. More...
virtual Point3f | get_position () const

## Additional Inherited Members

Public Attributes inherited from Zeni::Vertex2f
Point3f | position
Protected Member Functions inherited from Zeni::Vertex2f
| Vertex2f ()
| Vertex2f (const Point2f &position)

## Detailed Description

An Abstraction of a Vertex in 2-space, colored.

Author
  bazald

Contact: bazal.nosp@m.d@ze.nosp@m.nipex.nosp@m..com

Definition at line 80 of file Vertex2f.h.

## Constructor & Destructor Documentation

Zeni::Vertex2f_Color::Vertex2f_Color | ( |  | ) |

Initialize the Vertex2f_Color.

Definition at line 74 of file Vertex2f.cpp.

Referenced by interpolate_to().

Zeni::Vertex2f_Color::Vertex2f_Color | ( | const Point2f & | position,
|  | const Color & | color
| ) |  |

Definition at line 78 of file Vertex2f.cpp.

Zeni::Vertex2f_Color::Vertex2f_Color | ( | const Point2f & | position,
|  | const Uint32 & | argb
| ) |  |

Definition at line 84 of file Vertex2f.cpp.

## Member Function Documentation

const Uint32 & Zeni::Vertex2f_Color::get_Color | ( |  | ) | const

inline

Get the current Color.

Definition at line 39 of file Vertex2f.hxx.

Referenced by Zeni::Vertex_Buffer::fax_Triangle().

Vertex2f_Color * Zeni::Vertex2f_Color::interpolate_to | ( | const float & | rhs_part,
|  | const Vertex2f_Color & | rhs
| ) |  | const

Get a Vertex2f_Color between two vertices; rhs must be a Vertex2f_Color.

Definition at line 68 of file Vertex2f.cpp.

References Zeni::Point3f::interpolate_to(), Zeni::Vertex2f::position, Vertex2f_Color(), Zeni::Point3f::x, and Zeni::Point3f::y.

bool Zeni::Vertex2f_Color::is_3d | ( |  | ) | const

virtual

Tell the rendering system if we're using 3D coordinates.

Implements Zeni::Renderable.

Definition at line 90 of file Vertex2f.cpp.

void Zeni::Vertex2f_Color::render_to | ( | Video_GL_Fixed & | screen | ) | const

virtual

Overridden for OpenGL rendering.

Implements Zeni::Renderable.

Definition at line 95 of file Vertex2f.cpp.

References GL_POINTS, glBegin, glEnd, and subrender_to().

void Zeni::Vertex2f_Color::render_to | ( | Video_GL_Shader & | screen | ) | const

virtual

Overridden for OpenGL rendering.

Implements Zeni::Renderable.

Definition at line 162 of file Vertex2f.cpp.

References Zeni::Vertex2f::get_address(), GL_COLOR_ARRAY, GL_FLOAT, GL_POINTS, GL_UNSIGNED_BYTE, GL_VERTEX_ARRAY, glColorPointer, glDisableClientState, glDrawArrays, glEnableClientState, and glVertexPointer.

void Zeni::Vertex2f_Color::render_to | ( | Video_DX9 & | screen | ) | const

virtual

Overridden for Direct3D9 rendering.

Implements Zeni::Renderable.

Definition at line 187 of file Vertex2f.cpp.

References D3DPT_POINTLIST, and Zeni::Video_DX9::get_d3d_device().

void Zeni::Vertex2f_Color::set_Color | ( | const Color & | color | ) |

inline

Set the current Color.

Definition at line 43 of file Vertex2f.hxx.

References Zeni::Color::get_argb().

void Zeni::Vertex2f_Color::set_Color | ( | const Uint32 & | argb | ) |

inline

Set the current Color.

Definition at line 47 of file Vertex2f.hxx.

void Zeni::Vertex2f_Color::subrender_to | ( | Video_GL_Fixed & | screen | ) | const

virtual

Definition at line 101 of file Vertex2f.cpp.

References glColor4ub, glVertex2f, Zeni::Vertex2f::position, Zeni::Point3f::x, and Zeni::Point3f::y.

Referenced by render_to().

void Zeni::Vertex2f_Color::subrender_to | ( | Video_GL_Shader & | screen | ) | const

virtual

Deprecated

Definition at line 176 of file Vertex2f.cpp.

References glColor4ub, glVertex2f, Zeni::Vertex2f::position, Zeni::Point3f::x, and Zeni::Point3f::y.

The documentation for this class was generated from the following files:

- zenilib/jni/external/zenilib/zeni_graphics/Zeni/Vertex2f.h
- zenilib/jni/external/zenilib/zeni_graphics/Vertex2f.cpp
- zenilib/jni/external/zenilib/zeni_graphics/Zeni/Vertex2f.hxx